1. User
go fiber | Auth
  • public
    • health
      GET
    • Register
      POST
    • Login
      POST
  • User
    • Update Profile
      PUT
    • Get Profile
      GET
    • Change password
      POST
    • Deactive account
      POST
    • Logout
      POST
    • Refresh token jwt
      POST
  • Absensi
    • Checkin
      POST
    • Checkout
      POST
    • Cek Absensi
      GET
    • History
      GET
    • Stats
      GET
  1. User

Change password

POST
/api/v1/user/change-password

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.side.my.id/api/v1/user/change-password' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
    "current_password": "123123",
    "new_password": "newpass"
}'
Response Response Example
{
    "success": true,
    "message": "Password changed successfully",
    "data": null,
    "timestamp": "2025-06-19 06:17:05"
}
Modified at 2025-06-19 06:22:47
Previous
Get Profile
Next
Deactive account
Built with